### Method

# Camel Service get_display_name

since: 3.2

#### Declaration [src]

    const gchar*
    camel_service_get_display_name (
      CamelService* service
    )

#### Description [src]

Returns the display name for `service`, or `NULL` if `service` has not been given a display name. The display name is intended for use in a user interface and should generally be given a user-defined name.

Compare this with camel_service_get_name(), which returns a built-in description of the type of service (IMAP, SMTP, etc.).

Available since: 3.2

Gets property | `Camel.Service:display-name`

#### Return value

Type: `const gchar*`

The display name for `service`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.